/*
 ** Problem Definition File
 ** mGA test-of-principle
 ** 
 ** John Dunkelberg
 */

// Generation Breakpoints
int init_select_gen = 1;    // tournament selection without shuffling
    // now cut the population in half every other gen
int cut_every_other_gen = 2; // tournament selection with shuffling
    // now cut the population in half every gen
int cut_pop_gen = 5;         // tournament selection with shuffling
    // population size is held stable
int prim_gen = 8;            // tournament selection with shuffling
    // population size is held stable
int max_gen = 50;             // tourney w/shuffle and geneic operators

// DEBUG level for test
int DEBUG = 8;

// Random Seed
int random_seed = 42;

// Maximum size of a line of input
#define MAXLINE 80

// the multiple of the popsize used to shuffle the population is
#define SHUFFLE_MULT 3

// the chance of a splice is
#define P_SPLICE 1.0

// the chance of a cut is (genelen - 1)/problem.size times
#define P_CUT 1.0
